#! /bin/bash

if test $# -eq 0; then
	echo "xrun.sh [-x runs] [-i start_iter stop_iter] [-c fields]"
	echo "        [-log logfile] [-raw logfile] command..."
	exit 0;
fi

i0=0
i1=0
fields="1 2 13"
n_runs=1
log_file="/dev/null"
raw_file="/dev/null"

while test $# -gt 0; do
	if test $# -ge 3 -a "$1" = "-i" ; then
		i0=$2
		i1=$3
		shift 3
	elif test $# -ge 2 -a "$1" = "-c"; then
		fields=$2
		shift 2
	elif test $# -ge 2 -a "$1" = "-x"; then
		n_runs=$2
		shift 2
	elif test $# -ge 2 -a "$1" = "-log"; then
		log_file=$2
		shift 2
	elif test $# -ge 2 -a "$1" = "-raw"; then
		raw_file=$2
		shift 2
	else
		cmd="$cmd $1"
		shift
	fi
done

l0=$(( $i0 + 3 ))
l1=$(( $i1 + 3 ))
run_id=0

while test $run_id -lt $n_runs; do

	if test "$log_file" != "/dev/null"; then
		curdate=$( date )
		echo "$curdate: $cmd -si $i1" >> $log_file
	fi

	simresult=$( $cmd -si $i1 )
	rawresult=$( echo "$simresult" | tail -n $(( $i1 - $i0 + 1 )) )

	if test "$raw_file" != "/dev/null"; then
		echo "$simresult" >> $raw_file
	fi		
	#echo "$rawresult"

	i=1
	while test $i -le $(( $i1 - $i0 + 1 )); do
		rawline=$( echo "$rawresult" | head -n $i | tail -n 1 )
		echo $rawline | cut -d " " -f "$fields"
		
		i=$(( $i + 1 ))
	done

	run_id=$(( $run_id + 1 ))
done



